Subject: Re: ppc LE questions (seeking help hand info pointers)

From: Dan Malek <[email-masked]>
Date: Fri, 21 Sep 2001 04:19:06 -0400

Geert Uytterhoeven wrote:

> AFAIK they do, for PCI accesses.

They do the same thing we do.  The ULTRASparc has address modifiers on the
load/store instructions to do byte swapping in the io macros, just like us.
The "other" Sparcs do it the hard way with actual byte swap code in the
macros.  There are comments in various files that clearly state Sparc is
big-endian without exception :-).

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/